
QGIS Application - Bug report #21021

QGIS crashes on exiting

2019-01-17 01:57 PM - Nicholas Gellie

Status: Closed

Priority: High

Assignee:

Category: Build/Install

Affected QGIS version:3.4.3 Regression?: No

Operating System: Windows 10 64 bit Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 28840

Description

Here is the traceback report:

User Feedback

I just closed the program.

Report Details

Crash ID: ce137f0de86fb9e3989655d5b850d4726eb5994b

Stack Trace

QObject::thread :

QgsNetworkAccessManager::instance :

selectWidget :

CPLStringList::PartialFindString :

CPLStringList::empty :

QgsRasterDataProvider::block :

QgsSingleBandColorDataRenderer::block :

QgsBrightnessContrastFilter::block :

QgsHueSaturationFilter::block :

QgsRasterResampleFilter::block :

QgsRasterProjector::block :

QgsRasterIterator::readNextRasterPart :

QgsRasterDrawer::draw :

QgsRasterLayerRendererFeedback::onNewData :

CPLStringList::PartialFindString :

CPLStringList::empty :

QgsRasterDataProvider::block :

QgsSingleBandColorDataRenderer::block :

QgsBrightnessContrastFilter::block :

QgsHueSaturationFilter::block :

QgsRasterResampleFilter::block :

QgsRasterProjector::block :

QgsRasterIterator::readNextRasterPart :

QgsRasterDrawer::draw :

QgsRasterLayerRenderer::render :

QgsMapRendererCustomPainterJob::doRender :

QgsMapRendererCustomPainterJob::staticRender :

QgsMapRendererCustomPainterJob::renderSynchronously :

QThreadPoolPrivate::reset :

QThread::start :

BaseThreadInitThunk :

RtlUserThreadStart :
QGIS Version: 3.4.3-Madeira

QGIS code revision: commit:2f64a3c4e7

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.0

Running against GDAL: 2.4.0

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17763

History

#1 - 2019-01-17 05:53 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Priority changed from Normal to High

Please try with a new/clean profile,

likely to be duplicate of a number of other reported (open and closed( tickets.

#2 - 2019-01-18 02:11 PM - Kwame Odame-Ababio

Crash ID: f3307a9782b18d25c16d0d9db5895ddd1942c78c

Stack Trace

proj_lpz_dist :

proj_lpz_dist :

QgsCoordinateTransform::transformPolygon :

QgsCoordinateTransform::transformPolygon :

QgsCoordinateTransform::~QgsCoordinateTransform :

QgsExpressionCalculatorLocatorFilter::priority :

QObjectPrivate::deleteChildren :

QWidget::~QWidget :

CPLStringList::operator[] :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.3-Madeira

QGIS code revision: 2f64a3c4e7

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.0

Running against GDAL: 2.4.0

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134
#3 - 2019-01-18 03:19 PM - Jürgen Fischer

- Related to Bug report #20283: Crash when exiting program [proj_lpz_dist] added

#4 - 2019-01-23 04:00 PM - Jürgen Fischer

Kwame Odame-Ababio wrote:

Stack Trace

[...]

Unrelated to this - stacktrace matches #20283

#5 - 2019-01-23 04:00 PM - Jürgen Fischer

- Related to deleted (Bug report #20283: Crash when exiting program [proj_lpz_dist])

#6 - 2019-02-11 12:51 PM - Giovanni Manghi

- Category changed from Processing/GUI to Build/Install

#7 - 2019-03-09 10:42 AM - Giovanni Manghi

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Giovanni Manghi wrote:

Please try with a new/clean profile,

Closing for lack of feedback.
